IRPCObjectOperations.GetPropertyValueWithMetadata

View as Markdown

Vault API / core read session or assertion idempotent

Gets a property value and its metadata.

ServiceObjects, versions, properties and files MFiles.IRPCObjectOperations
gRPC method/MFiles.IRPCObjectOperations/GetPropertyValueWithMetadata
HTTP (mf-http-grpc)POST /grpc/v1/get-property-value-with-metadata
RequestGetPropertyValueWithMetadataRequest
ResponseGetPropertyValueWithMetadataResponse
Book and levelVault API, core
Kindread
SessionRequired: a session (mfiles-session-id-bin metadata) or a session assertion (x-mf-session-assertion metadata).
Idempotentyes
Returns metadata structure versionno
Streamingnone (unary)

Request: GetPropertyValueWithMetadataRequest

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
obj_verObjVerThe object version.
obj_ver.obj_idObjIDThe object.
obj_ver.obj_id.typeint32The object type ID, for example 0 for documents. In a lookup value, the value list ID (for a lookup to objects, the object type ID).
obj_ver.obj_id.item_idItemIDThe ID of the object within its type, in item_id.internal_id.
obj_ver.versionObjVerVersionThe version. Usually OBJ_VER_VERSION_TYPE_SPECIFIC with internal_version.
obj_ver.version.typeObjVerVersionTypeWhat internal_version means. OBJ_VER_VERSION_TYPE_SPECIFIC for a version number.Values: OBJ_VER_VERSION_TYPE_UNINITIALIZED (0), OBJ_VER_VERSION_TYPE_LATEST (1), OBJ_VER_VERSION_TYPE_ANY (2), OBJ_VER_VERSION_TYPE_ALL (3), OBJ_VER_VERSION_TYPE_SPECIFIC (4), OBJ_VER_VERSION_TYPE_VALUE_LIST_ITEM (6), OBJ_VER_VERSION_TYPE_OBJECT_LEVEL_REFERENCE (7).
obj_ver.version.internal_versionint32The version number, starting from 1, when type is OBJ_VER_VERSION_TYPE_SPECIFIC. The server returns -1 with OBJ_VER_VERSION_TYPE_LATEST.
obj_ver.version.external_repository_versionstringUsed only for objects in external repositories. Leave empty.
obj_ver.version.external_repository_sort_keyint64Used only for objects in external repositories. Leave 0.
property_defint32The property to add metadata to.

Response: GetPropertyValueWithMetadataResponse

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
prop_val_with_metadataPropertyValueWithMetadataReceives the property value with metadata.
prop_val_with_metadata.property_defint32Property definition ID.
prop_val_with_metadata.valueTypedValueWithMetadataThe value of the property.
prop_val_with_metadata.value.typeDatatypeData type. Note. Name of the property can't be isNull because name collision with Objective-C reserved name.
prop_val_with_metadata.value.is_null_valueboolIs the value unset.
prop_val_with_metadata.value.dataTypedValueUnionWithMetadataThe value data as a union, if set.
prop_val_with_metadata.value.value_metadataTypedValueMetadataThe metadata about the typed value. If the value is a Lookup or MSLookup, this data will be in that struct.